
Foreman - Bug #6817

Compute Profile not saving/using Security Groups for AWS VPC groups. EC2 groups work fine.

07/29/2014 11:21 AM - Shawn LoPresto

Status: Closed   

Priority: Normal   

Assignee: Swapnil Abnave   

Category: Compute resources - EC2   

Target version: 1.15.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.2

Bugzilla link: 1303896 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4089

  

Description

Setting the Security groups in a compute profile is not working. Once changes are saved, revisiting the Compute Profile settings

results in a lit of blank security groups. Trying to launch a new host using this profile will result in no rules being added unless you

specifically add them at the time of launch.  I am running Foreman 1.5.2 and the issue also existed in 1.5.1.

Related issues:

Has duplicate Foreman - Bug #10321: Compute Profiles Still Lose Security Grou... Duplicate 04/29/2015

Associated revisions

Revision 891c47ba - 03/10/2017 02:03 PM - Swapnil Abnave

Fixes #6817 - AWS VPC groups - show after saving

History

#1 - 07/29/2014 11:24 AM - Dominic Cleal

- Category set to Compute resources - EC2

#2 - 08/12/2014 04:33 PM - Ashton Davis

A related behavior to this - it seems that the form doesn't do a pull for the selected security group in the list.  When I open a compute profile or load

one, the security group first selected in the list doesn't load into the selection form below it.

#3 - 03/13/2015 01:07 PM - Andy Taylor

I'm seeing this problem in Foreman 1.7.3 as well.

#4 - 04/30/2015 03:33 AM - Dominic Cleal

- Has duplicate Bug #10321: Compute Profiles Still Lose Security Groups on Select added

#5 - 02/05/2016 09:31 AM - Bryan Kearney

- Bugzilla link set to 1303896

#6 - 12/07/2016 05:40 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4089 added

#7 - 03/10/2017 03:01 PM - Swapnil Abnave

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 891c47ba49818dab042de7c090a2b6a9e5418d24.

#8 - 03/16/2017 04:05 AM - Dominic Cleal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/891c47ba49818dab042de7c090a2b6a9e5418d24


- Assignee set to Swapnil Abnave

#9 - 04/03/2017 03:01 AM - Dominic Cleal

- translation missing: en.field_release set to 209

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

